package cn.reghao.oss.api.iface.media;

import cn.reghao.oss.api.dto.media.VideoInfo;
import cn.reghao.oss.api.dto.media.VideoUrlDto;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author reghao
 * @date 2023-08-28 15:46:17
 */
public interface VideoFileService {
    void deleteVideoFile(String videoFileId);
    VideoInfo getVideoInfo(String videoFileId);
    List<VideoUrlDto> getVideoUrls(String videoFileId, long loginUser);
    LocalDateTime getCreateTime(String videoFileId);
}
